GestureSubscriptionParams

public final class GestureSubscriptionParams


Request parameters for subscribing to gesture events.

This class defines which specific gestures you want to receive.

Summary

Nested types

Builder for GestureSubscriptionParams.

Public fields

final Set<Integer>

The set of gesture actions to subscribe to.

Public methods

boolean
@NonNull Set<Integer>

Returns the set of gesture actions to subscribe to.

int
static @NonNull GestureSubscriptionParams.Builder
newBuilder(@NonNull Set<Integer> gestureActions)

Returns a new Builder for GestureSubscriptionParams.

@NonNull String

Public fields

gestureActions

public final Set<Integer> gestureActions

The set of gesture actions to subscribe to.

Public methods

equals

public boolean equals(@Nullable Object o)

getGestureActions

public @NonNull Set<Integer> getGestureActions()

Returns the set of gesture actions to subscribe to.

hashCode

public int hashCode()

newBuilder

public static @NonNull GestureSubscriptionParams.Builder newBuilder(@NonNull Set<Integer> gestureActions)

Returns a new Builder for GestureSubscriptionParams.

Parameters
@NonNull Set<Integer> gestureActions

The set of gesture actions to subscribe to.

toString

public @NonNull String toString()